Package com.sas.services.information.metadata

# Class Application

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
com.sas.services.information.metadata.Metadata
com.sas.services.information.metadata.OMRSoftwareComponent
com.sas.services.information.metadata.Application

All Implemented Interfaces:
  `ApplicationInterface`, `MetadataInterface`, `SoftwareComponentInterface`, `PublicObjectInterface`, com.sas.services.util.UpgradeInterface, `com.sas.storage.editableproperties.LocalizableProperties`, `Serializable`, `Remote`

public class Application extends OMRSoftwareComponent implements ApplicationInterface, com.sas.storage.editableproperties.LocalizableProperties, UpgradeInterface

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final com.sas.util.UsageVersion`
  `CURRENT_VERSION`
  `static final com.sas.util.UsageVersion`
  `OLDEST_VERSION`

  ### Fields inherited from class com.sas.services.information.metadata.Metadata

  `_actionInterfaces, _children, _isCompatible, _isDestroyPending, _isReadCompatible, _myRefreshInterval, _myState, _omrCreateDate, _omrModifyDate, _repository, _repositoryFlag, _repositoryObject, _treeRefreshTime, formats, gmtZone, OMSOBJ_STRING, REPOSITORY_DAV, REPOSITORY_LOMR, REPOSITORY_NONE, REPOSITORY_OMR, SLASH`

  ### Fields inherited from class java.rmi.server.RemoteObject

  `ref`

  ### Fields inherited from interface com.sas.storage.editableproperties.LocalizableProperties

  `PROPERTY_DESCRIPTION, PROPERTY_NAME`

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `Application()`
  ``
  `Application(com.sas.metadata.remote.impl.SoftwareComponentImpl o)`
  ``
  `Application(com.sas.metadata.remote.impl.SoftwareComponentImpl_Stub o)`
  ``
  `Application(Application o)`
  ``
  `Application(RepositoryInterface repos, String name, FolderInterface parent)`
  `protected`
  `Application(Class theClass)`
  `protected`
  `Application(Object o, Class theClass)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,ApplicationAuthorization>`
  `getActions()`
  Returns a map of all actions defined for the application.
  `com.sas.storage.editableproperties.PropertyList`
  `getLocalizableProperties()`
  `ApplicationInterface`
  `getParentApplication()`
  Returns the parent application of this application or null if no parent is defined.
  `String`
  `getType()`
  Get the object type.
  `boolean`
  `isGridCapable()`
  Returns true if application is marked as a grid capable application.
  `void`
  `setGridCapable(boolean gridCapable)`
  Sets the gridCapable property for this application.
  `void`
  `setLocalizableProperties(com.sas.storage.editableproperties.PropertyMap map)`
  `void`
  `upgradeFromPreviousVersion()`
  Upgrades an object from a previous version to the most current version supported.

  ### Methods inherited from class com.sas.services.information.metadata.OMRSoftwareComponent

  `addDeployedComponent, addPropertyGroup, addSoftwareGroup, addSoftwareTree, getClassIdentifier, getDependentComponents, getDependsOnComponents, getDeployedComponents, getImplementedObjects, getMajor, getMinor, getPlatform, getPrivateConfigurableProperties, getProductIdentifier, getProductName, getPropertyGroups, getPublicConfigurableProperties, getSoftwareComponentAttributes, getSoftwareGroups, getSoftwareTrees, getSoftwareVersion, getSpecVendor, getSpecVersion, getVendor, getVendorIdentifier, removeDeployedComponent, removePropertyGroup, removeSoftwareGroup, removeSoftwareTree, setClassIdentifier, setDeployedComponents, setImplementedObjects, setMajor, setMinor, setPlatform, setProductIdentifier, setProductName, setPropertyGroups, setSoftwareComponentAttributes, setSoftwareGroups, setSoftwareTrees, setSoftwareVersion, setSpecVendor, setSpecVersion, setVendor, setVendorIdentifier`

  ### Methods inherited from class com.sas.services.information.metadata.Metadata

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addProcessorInterface, addPrompt, addPropertySet, addRemark, addResponsibleParty, addToList, addTransactionListener, addUsedByPrototype, checkin, checkout, checkPulse, clearInformationService, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, deleteRootObject, destroy, fromByteArray, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getContainer, getCreateDate, getCreatedBy, getDefaultLocalizableProperties, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentifier, getIdentities, getImplementors, getInformationService, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getName, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getObjectURI, getParent, getParentPath, getParents, getPath, getPaths, getPathUrl, getPathUrl, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getProcessorInterface, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getTreeRefresh, getTypeDescriptor, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, hashCode, isAuthorized, isCompatible, isConnectionException, isDeleted, isDestroyed, isLoggingEnabled, isObjectAlive, isReadCompatible, logFormat, logFormat, logFormat, logFormat, logMessage, logMessage, logThrowable, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, notifyTransactionListeners, refresh, removeAccessControl, removeDocument, removeExtension, removeFromList, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, reset, rollback, setAttribute, setAttributes, setCompatibility, setDefaultLocalizableProperties, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setTreeRefresh, setUsingPrototype, startTransaction, toByteArray, toString, transactionEvent, uncheckout, update, updateFromBag, validateNameAndFolder, validateNameAndFolder, version`

  ### Methods inherited from class java.rmi.server.UnicastRemoteObject

  `clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

  ### Methods inherited from class java.rmi.server.RemoteServer

  `getClientHost, getLog, setLog`

  ### Methods inherited from class java.rmi.server.RemoteObject

  `equals, getRef, toStub`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

  ### Methods inherited from interface com.sas.services.information.metadata.SoftwareComponentInterface

  `addDeployedComponent, addPropertyGroup, addSoftwareGroup, addSoftwareTree, getClassIdentifier, getDependentComponents, getDependsOnComponents, getDeployedComponents, getImplementedObjects, getMajor, getMinor, getPlatform, getPrivateConfigurableProperties, getProductIdentifier, getProductName, getPropertyGroups, getPublicConfigurableProperties, getSoftwareComponentAttributes, getSoftwareGroups, getSoftwareTrees, getSoftwareVersion, getSpecVendor, getSpecVersion, getVendor, getVendorIdentifier, removeDeployedComponent, removePropertyGroup, removeSoftwareGroup, removeSoftwareTree, setClassIdentifier, setDeployedComponents, setImplementedObjects, setMajor, setMinor, setPlatform, setProductIdentifier, setProductName, setPropertyGroups, setSoftwareComponentAttributes, setSoftwareGroups, setSoftwareTrees, setSoftwareVersion, setSpecVendor, setSpecVersion, setVendor, setVendorIdentifier`

- ## Field Details

  - ### OLDEST_VERSION

    public static final com.sas.util.UsageVersion OLDEST_VERSION

  - ### CURRENT_VERSION

    public static final com.sas.util.UsageVersion CURRENT_VERSION

- ## Constructor Details

  - ### Application

    public Application() throws RemoteException
    Throws:
      `RemoteException`

  - ### Application

    protected Application(Class theClass) throws RemoteException
    Throws:
      `RemoteException`

  - ### Application

    protected Application(Object o, Class theClass) throws RemoteException
    Throws:
      `RemoteException`

  - ### Application

    public Application(Application o) throws RemoteException
    Throws:
      `RemoteException`

  - ### Application

    public Application(com.sas.metadata.remote.impl.SoftwareComponentImpl o) throws RemoteException
    Throws:
      `RemoteException`

  - ### Application

    public Application(com.sas.metadata.remote.impl.SoftwareComponentImpl_Stub o) throws RemoteException
    Throws:
      `RemoteException`

  - ### Application

    public Application(RepositoryInterface repos, String name, FolderInterface parent) throws RemoteException
    Throws:
      `RemoteException`

- ## Method Details

  - ### getType

    public String getType() throws RemoteException
    Description copied from class: `Metadata`
    Get the object type. Subclasses of Metadata will return a repository-neutral type string. If no subclass exists, Metadata returns the repository-specific type.
    Specified by:
      `getType` in interface `MetadataInterface`
    Overrides:
      `getType` in class `OMRSoftwareComponent`
    Returns:
      A type string for the object.
    Throws:
      `RemoteException` - in the event of remote object failure

  - ### getParentApplication

    public ApplicationInterface getParentApplication() throws ServiceException, RemoteException
    Description copied from interface: `ApplicationInterface`
    Returns the parent application of this application or null if no parent is defined. Parent applications are associated to the application via the ImplementedObjects association.
    Specified by:
      `getParentApplication` in interface `ApplicationInterface`
    Returns:
      the parent application
    Throws:
      `ServiceException` - If a service level error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getActions

    public Map<String,ApplicationAuthorization> getActions() throws ServiceException, RemoteException
    Description copied from interface: `ApplicationInterface`
    Returns a map of all actions defined for the application. The map is keyed by application action identifier.
    Specified by:
      `getActions` in interface `ApplicationInterface`
    Returns:
      a map of application actions
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getLocalizableProperties

    public com.sas.storage.editableproperties.PropertyList getLocalizableProperties() throws com.sas.storage.editableproperties.UnexpectedLocalizationException
    Specified by:
      `getLocalizableProperties` in interface `com.sas.storage.editableproperties.LocalizableProperties`
    Throws:
      `com.sas.storage.editableproperties.UnexpectedLocalizationException`

  - ### setLocalizableProperties

    public void setLocalizableProperties(com.sas.storage.editableproperties.PropertyMap map) throws com.sas.storage.editableproperties.UnexpectedLocalizationException
    Specified by:
      `setLocalizableProperties` in interface `com.sas.storage.editableproperties.LocalizableProperties`
    Throws:
      `com.sas.storage.editableproperties.UnexpectedLocalizationException`

  - ### upgradeFromPreviousVersion

    public void upgradeFromPreviousVersion() throws RemoteException, ServiceException
    Description copied from interface: `UpgradeInterface`
    Upgrades an object from a previous version to the most current version supported.
    Specified by:
      `upgradeFromPreviousVersion` in interface `UpgradeInterface`
    Throws:
      `RemoteException` - a remote object failure
      `ServiceException` - if the object could not be upgraded

  - ### isGridCapable

    public boolean isGridCapable() throws ServiceException, RemoteException
    Description copied from interface: `ApplicationInterface`
    Returns true if application is marked as a grid capable application.
    Specified by:
      `isGridCapable` in interface `ApplicationInterface`
    Returns:
      true if application is marked as a grid capable application
    Throws:
      `ServiceException`
      `RemoteException`

  - ### setGridCapable

    public void setGridCapable(boolean gridCapable) throws ServiceException, RemoteException
    Description copied from interface: `ApplicationInterface`
    Sets the gridCapable property for this application.
    Specified by:
      `setGridCapable` in interface `ApplicationInterface`
    Parameters:
      `gridCapable` -
    Throws:
      `ServiceException`
      `RemoteException`